# Scopes

Welcome to the Jungle Solutions uses [OAuth scopes](https://tools.ietf.org/html/draft-ietf-oauth-v2-31#section-3.3) to protect its API endpoints.

Depending on the level of access you need, please ask us for the required scopes from the list below.

| Scope              | Description                                                                                                                                                                                  |
| ------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `me_r`             | Read access on your personal information                                                                                                                                                     |
| `organizations_rw` | Read and Write access on your organization(s)                                                                                                                                                |
| `organizations_r`  | Read access on your organization(s)                                                                                                                                                          |
| `jobs_rw`          | Read and Write access on your job offers                                                                                                                                                     |
| `jobs_r`           | Read access on your job offers                                                                                                                                                               |
| `offices_rw`       | Read and Write access on your offices                                                                                                                                                        |
| `offices_r`        | Read access on your offices                                                                                                                                                                  |
| `departments_rw`   | Read and Write access on your departments                                                                                                                                                    |
| `departments_r`    | Read access on your departments                                                                                                                                                              |
| `candidates_rw`    | Read and Write access on all candidates (limited to user's role)                                                                                                                             |
| `candidates_r`     | Read access on all candidates (limited to user's role)                                                                                                                                       |
| `my_candidates_rw` | <p>Read and Write access on all candidates this user created through the API <br>(mainly useful for synchronization with external services without giving access to all your candidates)</p> |
| `documents_rw`     | Read and Write access on your candidate files                                                                                                                                                |
| `documents_r`      | Read access on your candidate files                                                                                                                                                          |
| `emails_rw`        | Read and Write access on your candidate emails                                                                                                                                               |
| `emails_r`         | Read access on your candidate emails                                                                                                                                                         |
| `comments_w`       | Write access on your candidate comments                                                                                                                                                      |
| `images_r`         | Read access to your images                                                                                                                                                                   |
| `moves_r`          | Read access on candidates moves                                                                                                                                                              |
| `videos_r`         | Read access on your video files                                                                                                                                                              |

{% hint style="info" %}
The scopes below need a dedicated partnership - Contact us for more information
{% endhint %}

| Scope                         | Description                                           |
| ----------------------------- | ----------------------------------------------------- |
| `su_offices_r`                | Read access on offices of a company                   |
| `su_jobs_r`                   | Read access on jobs of a company                      |
| `su_departments_r`            | Read access on departments of a company               |
| `su_organizations_r`          | Read access on organizations information of a company |
| `su_offices_r`                | Read access on offices of a company                   |
| `su_images_r`                 | Read access to images of a company                    |
| `su_videos_r`                 | Read access to videos of a company                    |
| `cms_articles_r`              | Read access to WTTJ articles                          |
| `cms_collections_r`           | Read access to WTTJ collections                       |
| `cms_collection_categories_r` | Read acces to WTTJ collection categories              |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.welcomekit.co/scopes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
